<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use App\Models\User;
use Illuminate\Support\Facades\Hash;

class UserSeeder extends Seeder
{
    public function run()
    {
        // আগের সব ইউজার ডিলিট করে নতুন করে তৈরি করা
        User::truncate(); 

        User::create([
            'name'      => 'Abhijit Ghosh',
            'username'  => 'admin',
            'mobile'    => '01711223344',
            'password'  => Hash::make('12345678'), // লারাভেল এখানে অটোমেটিক হ্যাশ করবে
            'role'      => 'Admin',
            'is_active' => 1,
        ]);
    }
}